# Contributing
We're glad you want to help us out and make this panel the best that it can be! We have a few simple things to follow when making changes to files and adding new features.

### License Agreement
First and foremost, this project is licensed under a MIT license. In order for us to accept code from you we need a signed and valid Contributor License Agreement ("CLA") on file. If you do not have one signed we will need you to fill it out. You can find a copy of the CLA [here](http://static.s3.pterodactyl.io/PterodactylCLA.pdf).

Any pull requests created without a CLA on file will be held until one is submitted or closed at our discression. Once you have a CLA on file we will accept Pull Requests to any repository.

### Responsible Disclosure
This is a fairly in-depth project, and makes use of a lot of parts. We strive to keep everything as secure as possible, and welcome you to take a look into it yourself. We do ask that you be considerate of others who are using the software and not publicly disclose security issues without contacting us first by email.

We'll make a deal with you: if you contact us by email and we fail to respond to you within a week you are welcome to publicly disclose whatever issue you have found. We understand how frustrating it is when you find something big and no one will respond to you. This holds us to a standard of providing prompt attention to any issues that arise and keeping this community safe.

If you've found what you believe is a security issue please email us at `support@pterodactyl.io`.

### Where to find Us
You can find us in a couple places online. First and foremost, we're active right here on Github. If you encounter a bug or other problem open an issue on here for us to take a look at it. We also accept feature requests here as well.

You can also find us on [Discord](https://discord.gg/0gYt8oU8QOkDhKLS) or our [community forums](https://community.pterodactyl.io/). In the event that you need to get in contact with us privately feel free to contact us at `support@pterodactyl.io`. Try not to email us with requests for support regarding the panel, we'll probably just direct you to our forums or here.

### Code Guidelines
We honestly haven't gotten around to standardizing our code format, we'll get that happening very soon. In the mean time, try to emulate the current formatting. We try to stick with how Laravel code is formatted.
